Package com.jangular.backend.repository

# Interface PasswordHistoryRepository

All Superinterfaces:
  `org.springframework.data.repository.CrudRepository<PasswordHistory,Long>`, `org.springframework.data.jpa.repository.JpaRepository<PasswordHistory,Long>`, `org.springframework.data.repository.ListCrudRepository<PasswordHistory,Long>`, `org.springframework.data.repository.ListPagingAndSortingRepository<PasswordHistory,Long>`, `org.springframework.data.repository.PagingAndSortingRepository<PasswordHistory,Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<PasswordHistory>`, `org.springframework.data.repository.Repository<PasswordHistory,Long>`

public interface PasswordHistoryRepository extends org.springframework.data.jpa.repository.JpaRepository<PasswordHistory,Long>

## Method Summary

Modifier and Type
Method
Description
`List<PasswordHistory>`
`findTop5ByUserOrderByChangedAtDesc(User user)`

### Methods inherited from interface org.springframework.data.repository.CrudRepository

`count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

`deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, flush, getById, getOne, getReferenceById, saveAllAndFlush, saveAndFlush`

### Methods inherited from interface org.springframework.data.repository.ListCrudRepository

`findAll, findAllById, saveAll`

### Methods inherited from interface org.springframework.data.repository.ListPagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

`findAll`

### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

`count, exists, findAll, findBy, findOne`

## Method Details

### findTop5ByUserOrderByChangedAtDesc

List<PasswordHistory> findTop5ByUserOrderByChangedAtDesc(User user)